# SIPTimeoutWorkItem< Target_T > Class Template Reference

`#include <sippdu.h>`

Inheritance diagram for SIPTimeoutWorkItem< Target_T >:

[legend]
Collaboration diagram for SIPTimeoutWorkItem< Target_T >:
[legend]

## Public Types

typedef void(Target_T::*) | Callback ()

## Public Member Functions

| SIPTimeoutWorkItem (SIPEndPoint &ep, const PString &token, Callback callback)
virtual void | Work ()

## Protected Attributes

Callback | m_callback

### template<class Target_T>
class SIPTimeoutWorkItem< Target_T >

## Member Typedef Documentation

template<class Target_T>

typedef void(Target_T::* ) SIPTimeoutWorkItem< Target_T >::Callback()

## Constructor & Destructor Documentation

template<class Target_T>

SIPTimeoutWorkItem< Target_T >::SIPTimeoutWorkItem | ( | SIPEndPoint & | ep,
|  | const PString & | token,
|  | Callback | callback |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class Target_T>

virtual void SIPTimeoutWorkItem< Target_T >::Work | ( |  | ) | `[inline, virtual]`

Implements SIPWorkItem.

## Field Documentation

template<class Target_T>

Callback SIPTimeoutWorkItem< Target_T >::m_callback `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h